alter table jin_user_email_log modify method varchar(30) not null default '';

alter table jin_sale modify remote_ip varchar(32) not null default '';
alter table jin_sale modify prod_title varchar(150) not null default '';
alter table jin_sale modify subscr_descr_more varchar(50) not null default '';

alter table jin_sale add pack_id int(11) not null default 0 after prod_title;
alter table jin_sale add pack_title varchar(150) not null default '' after pack_id;
alter table jin_sale add funnel_step_id int(11) not null default 0 after pack_title;
alter table jin_sale add funnel_step_title varchar(150) not null default '' after funnel_step_id;

create index pack_id on jin_sale(pack_id);
create index funnel_step_id on jin_sale(funnel_step_id);

create index funnel_id on jin_funnel_step(funnel_id);
